org.eclipse.microprofile.metrics.tck.metrics

## Class ConcurrentGaugedClassBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.ConcurrentGaugedClassBeanTest

    public class ConcurrentGaugedClassBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentGaugedClassBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callCountedMethodsOnce()`
`void` `countedMethodsNotCalledYet()`
`void` `instantiateTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentGaugedClassBeanTest

    public ConcurrentGaugedClassBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### countedMethodsNotCalledYet

    @InSequence(value=1)
    public void countedMethodsNotCalledYet()

#### callCountedMethodsOnce

    @InSequence(value=2)
    public void callCountedMethodsOnce()